diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 26b3a49..77b281b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -137999,7 +137999,10 @@ SquareFreeRegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation
          toSee := llpwt; llpwt := []
          -- CONSIDER FIRST the vanishing current last subresultant
          for lpwt in toSee repeat 
-           p1 := lpwt.val.1; p2 := lpwt.val.2; s := lpwt.val.3; ts := lpwt.tower
+           p1 := lpwt.val.1; 
+           p2 := lpwt.val.2; 
+           s := lpwt.val.3; 
+           ts := lpwt.tower
            lbwt := stoseInvertible?(leadingCoefficient(p2,v),ts)@(List BWT)
            for bwt in lbwt repeat
              bwt.val = false => 
@@ -138067,7 +138070,7 @@ SquareFreeRegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation
 
      stoseSquareFreePart_base(p:P, ts: TS): List PWT == [[p,ts]$PWT]
 
-     stoseSquareFreePart(p:P, ts: TS): List PWT == stoseSquareFreePart_wip(p,ts)
+     stoseSquareFreePart(p:P, ts:TS): List PWT == stoseSquareFreePart_wip(p,ts)
        
      stoseInvertible?_sqfreg(p:P,ts:TS): List BWT ==
        --iprint("+")$iprintpack
@@ -138082,7 +138085,8 @@ SquareFreeRegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation
            bwt.val => lbwt := cons(bwt,lbwt)
            newq := removeZero(q,bwt.tower)
            zero? newq => lbwt := cons(bwt,lbwt)
-           lbwt := concat(stoseInvertible?_sqfreg(newq,bwt.tower)@(List BWT), lbwt)
+           lbwt := 
+            concat(stoseInvertible?_sqfreg(newq,bwt.tower)@(List BWT), lbwt)
          return lbwt
        ts_v := select(ts,v)::P
        ts_v_- := collectUnder(ts,v)
@@ -138111,7 +138115,7 @@ SquareFreeRegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation
          -- USE stoseInternalAugment with parameters ??
          for ts_h in lts_h repeat
            lbwt := cons([true, ts_h]$BWT,lbwt)
-       sort(#1.val < #2.val,lbwt)
+       sort((x,y) +-> x.val < y.val,lbwt)
 
      stoseInvertibleSet_sqfreg(p:P,ts:TS): Split ==
        --iprint("*")$iprintpack
@@ -138167,7 +138171,8 @@ SquareFreeRegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation
            bwt.val => lbwt := cons(bwt,lbwt)
            newq := removeZero(q,bwt.tower)
            zero? newq => lbwt := cons(bwt,lbwt)
-           lbwt := concat(stoseInvertible?_reg(newq,bwt.tower)@(List BWT), lbwt)
+           lbwt := 
+            concat(stoseInvertible?_reg(newq,bwt.tower)@(List BWT), lbwt)
          return lbwt
        ts_v := select(ts,v)::P
        ts_v_- := collectUnder(ts,v)
@@ -138197,7 +138202,7 @@ SquareFreeRegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation
          for ts_h in lts_h repeat
            inv := stoseInvertible?_reg(q,ts_h)@(List BWT)
            lbwt := concat([bwt for bwt in inv | bwt.val],lbwt)
-       sort(#1.val < #2.val,lbwt)
+       sort((x,y) +-> x.val < y.val,lbwt)
 
      stoseInvertibleSet_reg(p:P,ts:TS): Split ==
        --iprint("/")$iprintpack
diff --git a/changelog b/changelog
index 0c4bb1d..1ff7fcd 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090621 tpd src/axiom-website/patches.html 20090621.03.tpd.patch
+20090621 tpd books/bookvol10.4 SFRGCD +-> conversion
 20090621 tpd src/axiom-website/patches.html 20090621.02.tpd.patch
 20090621 tpd books/bookvol10.4 SFQCMPK +-> conversion
 20090621 tpd src/axiom-website/patches.html 20090621.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2d1faf9..ce9ecf3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1621,5 +1621,7 @@ Makefile build input.dvi in parallel with src<br/>
 bookvol10.4 SMITH +-> conversion<br/>
 <a href="patches/20090621.02.tpd.patch">20090621.02.tpd.patch</a>
 bookvol10.4 SFQCMPK +-> conversion<br/>
+<a href="patches/20090621.03.tpd.patch">20090621.03.tpd.patch</a>
+bookvol10.4 SFRGCD +-> conversion<br/>
  </body>
 </html>
